## WebKitDOMHTMLMapElement WebKitDOMHTMLMapElement |

## Functions

WebKitDOMHTMLCollection * | webkit_dom_html_map_element_get_areas ()
gchar * | webkit_dom_html_map_element_get_name ()
void | webkit_dom_html_map_element_set_name ()

## Properties

WebKitDOMHTMLCollection * | areas | Read
gchar * | name | Read / Write

## Types and Values

| WebKitDOMHTMLMapElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLMapElement

## Implemented Interfaces

WebKitDOMHTMLMapElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_map_element_get_areas ()

    WebKitDOMHTMLCollection *
    webkit_dom_html_map_element_get_areas (WebKitDOMHTMLMapElement *self);

#### Parameters

self | A WebKitDOMHTMLMapElement |

#### Returns

A WebKitDOMHTMLCollection.

[transfer none]

### webkit_dom_html_map_element_get_name ()

    gchar *
    webkit_dom_html_map_element_get_name (WebKitDOMHTMLMapElement *self);

#### Parameters

self | A WebKitDOMHTMLMapElement |

#### Returns

A gchar

### webkit_dom_html_map_element_set_name ()

    void
    webkit_dom_html_map_element_set_name (WebKitDOMHTMLMapElement *self,
                                          const gchar *value);

#### Parameters

self | A WebKitDOMHTMLMapElement |
value | A gchar |

## Types and Values

### WebKitDOMHTMLMapElement

    typedef struct _WebKitDOMHTMLMapElement WebKitDOMHTMLMapElement;

## Property Details

### The `“areas”` property

      “areas”                    WebKitDOMHTMLCollection *

read-only WebKitDOMHTMLCollection* HTMLMapElement:areas.

Flags: Read

### The `“name”` property

      “name”                     gchar *

read-write gchar* HTMLMapElement:name.

Flags: Read / Write

Default value: ""